/**
 * Settings for spiffs_config
 * 
 * Created on 2020/07/01.
 */

#ifndef FSIM_SPIFFS_PARAMS_H
#define FSIM_SPIFFS_PARAMS_H

#include <stdint.h>

typedef uint8_t u8_t;
typedef uint16_t u16_t;
typedef uint32_t u32_t;

typedef int8_t s8_t;
typedef int16_t s16_t;
typedef int32_t s32_t;

//#define SPIFFS_DBG(_f, ...) printf("[spiffs] "_f, ## __VA_ARGS__)
#define SPIFFS_GC_DBG(_f, ...) printf("[spiffs gc] "_f, ## __VA_ARGS__)
//#define SPIFFS_CACHE_DBG(_f, ...) printf("[spiffs cache] "_f, ## __VA_ARGS__)
#define SPIFFS_CHECK_DBG(_f, ...) printf("[spiffs check] "_f, ## __VA_ARGS__)
#define SPIFFS_API_DBG(_f, ...) printf("[spiffs api] "_f, ## __VA_ARGS__)

//#define SPIFFS_CACHE 0
//#define SPIFFS_TEMPORAL_FD_CACHE 0

#endif //FSIM_SPIFFS_PARAMS_H
