/**
 * TODO file description
 * 
 * Created on 2020/07/01.
 */

#ifndef FSIM_FS_SPIFFS_H
#define FSIM_FS_SPIFFS_H

#include <spiffs.h>
#include "backend.h"
#include "spiffs_config.h"

extern struct backend *g_spiffs_backend;
extern spiffs *g_spiffs_fs;
#define pSPIFFS g_spiffs_fs

bool fs_init_spiffs(const char *file, bool wipe);
bool fs_mount_spiffs(void);
void fs_umount_spiffs(void);
uint64_t fs_iotime_spiffs(void);

#endif //FSIM_FS_SPIFFS_H
