#include <stdint.h>
#include <stdio.h>
#include "utils.h"

void print_elapsed(const char *message, uint64_t ns) {
    int s = (int) (ns / 1000000000UL);
    ns -= s*1000000000UL;

    int ms = (int) (ns / 1000000UL);
    ns -= ms*1000000UL;

    int us = (int) (ns / 1000UL);
//    ns -= us*1000UL;

    printf("%s:", message);

    if (s) {
        printf(" %ds", s);
    }
    if (s||ms||us) {
        printf(" %d.%03dms", ms, us);
    }

    if (!s&&!ms&&!us) {
        printf(" %dns", (int)ns);
    }

    printf("\n");
}
